
#ifndef Edges_H
#define Edges_H

#include "Vertices.hpp"

#include <allegro.h>

/// ########################## Edge class ####################################
class Edge {
  public :
    int KWeight;
    bool checked;
    bool on;
    Vertice* vpt1;
    Vertice* vpt2;
    
    Edge();
    ~Edge();
    
    void SetEdgeStatus(bool turn_on);
    
    void Draw(BITMAP* bmp , const int& on_color , const int& off_color , bool draw_off_edges);
    void IsoMetricDraw(const double& z_angle_rad , BITMAP* bmp , const int& on_color , const int& off_color , bool draw_off_edges);
};


#endif
