
#ifndef Vertices_H
#define Vertices_H

#include <vector>
#include <allegro.h>

using std::vector;

/// ########################## Vertice class ####################################
class Edge;

class Vertice {
  public :
    int x;
    int y;
    int z;
    vector<Edge*> kepvec;
    Vertice();
    ~Vertice();
    
    void assign_edge(Edge* const ke);
    void clear_edges();
    bool check_for_edge(Edge* const ke);
    
    void Draw(BITMAP* bmp , int v_color , int v_wid);
    void IsoMetricDraw(const double& z_angle_rad , BITMAP* bmp , int v_color , int v_wid);
    void IsoMetricDrawBar(const double& z_angle_rad , BITMAP* bmp , int v_color , int v_wid);
};


#endif
